SporphSpaceMorph not working

Hi all.
I’m trying to flow from srf0 to srf1 a set of points on srf0. Something is not working. Morph is not valid and if i create the points they are on srf0 .
Here there is a command and a file 3dm rhino6 you can try.
test.cs (5.6 KB)
test_morph.3dm (88.1 KB)

Hi @gianfranco74,

I have not run your code. But at first glance, this:

var pt0 = srf0.PointAt(srf0.Domain(0).Min,srf0.Domain(1).Min);
var pt1 = srf1.PointAt(srf1.Domain(0).Min,srf1.Domain(1).Min);

var pt_2d_0 = new Rhino.Geometry.Point2d(pt0);
var pt_2d_1 = new Rhino.Geometry.Point2d(pt1);

should be this:

var pt_2d_0 = new Rhino.Geometry.Point2d(
  srf0.Domain(0).Min,
  srf0.Domain(1).Min
);
var pt_2d_1 = new Rhino.Geometry.Point2d(
  srf1.Domain(0).Min,
  srf1.Domain(1).Min
);

Does this help?

– Dale

1 Like

Thank you Dale, it is working.